Skip to content

Set Budget

PUT
/api/v3/projects/{project_id}/budget
curl --request PUT \
--url https://example.com/api/v3/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/budget \
--header 'Content-Type: application/json' \
--data '{ "clear": false, "funding_mode": "free_sandbox", "project_daily_usd": 1, "project_monthly_usd": 1, "user_daily_usd": 1, "user_monthly_usd": 1 }'

Narrow runtime spend custody and invalidate old execution-plan cache keys.

project_id
required
Project Id
string format: uuid
X-Admin-Key
Any of:
string
Media typeapplication/json
BudgetUpdateRequestV3
object
clear
Clear
boolean
funding_mode
Any of:
string
Allowed values: free_sandbox subscription_included prepaid_payg byok
project_daily_usd
Any of:
number
project_monthly_usd
Any of:
number
user_daily_usd
Any of:
number
user_monthly_usd
Any of:
number

Successful Response

Media typeapplication/json
BudgetResponseV3
object
credit_balance_usd
required
Credit Balance Usd
number
current_daily_spend_usd
required
Current Daily Spend Usd
number
current_monthly_spend_usd
required
Current Monthly Spend Usd
number
funding_mode
required
Funding Mode
string
Allowed values: free_sandbox subscription_included prepaid_payg byok manual_invoice internal_demo
project_daily_usd
Any of:
number
project_id
required
Project Id
string format: uuid
project_monthly_usd
Any of:
number
runtime_config_epoch
required
Runtime Config Epoch
integer
updated_at
Any of:
string format: date-time
user_daily_usd
Any of:
number
user_monthly_usd
Any of:
number
Example
{
"funding_mode": "free_sandbox"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}